API reference
Every HTTP endpoint of the docs module: authentication, IAM action, parameters, bodies and status codes.
Generated from the module's code when its image was built — do not edit. Paths are relative to https://api.example.com.
Docs
GET /docs-hub/errors/{module}/{code}
- Authentication: required
- Operation name:
DocsHubErrorCode
Parameters
| Name | In | Type | Required |
|---|---|---|---|
module |
path | string |
Yes |
code |
path | string |
Yes |
lang |
query | string |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs-hub/modules
- Authentication: required
- Operation name:
DocsHubModules
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs-hub/nav
- Authentication: required
- Operation name:
DocsHubNavigation
Parameters
| Name | In | Type | Required |
|---|---|---|---|
audience |
query | string |
No |
lang |
query | string |
No |
scope |
query | string |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs-hub/pages/{module}/{slug}
- Authentication: required
- Operation name:
DocsHubPage
Parameters
| Name | In | Type | Required |
|---|---|---|---|
module |
path | string |
Yes |
slug |
path | string |
Yes |
lang |
query | string |
No |
scope |
query | string |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs-hub/resolve
- Authentication: required
- Operation name:
DocsHubResolve
Parameters
| Name | In | Type | Required |
|---|---|---|---|
lang |
query | string |
No |
ref |
query | string |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs-hub/search
- Authentication: required
- Operation name:
DocsHubSearch
Parameters
| Name | In | Type | Required |
|---|---|---|---|
audience |
query | string |
No |
kind |
query | string |
No |
lang |
query | string |
No |
limit |
query | integer |
No |
module |
query | string |
No |
q |
query | string |
No |
scope |
query | string |
No |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs/docs/manifest.json
- Authentication: required
- Operation name:
DocsManifest_docs
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
GET /docs/docs/{path}
- Authentication: required
- Operation name:
DocsFile_docs
Parameters
| Name | In | Type | Required |
|---|---|---|---|
path |
path | string |
Yes |
Responses
| Status | Meaning | Body |
|---|---|---|
200 |
OK | |
401 |
Not signed in, or the token is invalid |
Other endpoints
GET /readyz
- Authentication: none — anonymous callers are accepted
- Operation name:
StackshipReadiness
Responses
| Status | Meaning | Body |
|---|